-- =============================================  
-- Author:  <Author,,Name>  
-- Create date: <Create Date,,>  
-- Description: <Description,,>  
-- =============================================  
CREATE procedure [C6MartPeriodico].[Popola_W6ASSETPERC_20190624]
AS  
BEGIN  
 SET NOCOUNT ON;  
		 --DECLARE @ID_ELAB INT  
		 --DECLARE @TIPO_ELAB VARCHAR(1)  
		 --SET @ID_ELAB = C6MartPeriodico.GETIDELAB()  
		 --SET @TIPO_ELAB = C6MartPeriodico.GETTIPOELAB()  
		 ---- Log esecuzione  
		 --INSERT INTO LOG_ESECUZIONE_PERIODICO  
		 -- (Nome, Inizio, Nota)  
		 --VALUES (  
		 -- 'W6ASSETPERC',  
		 -- GETDATE(),  
		 -- 'Elaborazione trimestrale'  
		 --)  
 delete from  [consuni].consulenzaunica.[dbo].[W6ASSETPERC] 
 INSERT INTO [consuni].consulenzaunica.[dbo].[W6ASSETPERC] 
	(
	[COD_INTERNO]  
	,[COD_SOTTOPRODOTTO]
	,[COD_ISIN]  
	,[COD_MAF]
	,[ID_ASSETCLASS]
	,[CATALOGUENAME]
	,[ASSETCLASSNAME]
	,[BDPERCENTAGE]
	)
SELECT DISTINCT
	isnull(cat.CodInterno,'') AS COD_INTERNO, 
	isnull(cat.CodSottoprodotto,'') AS COD_SOTTOPRODOTTO,
	isnull(cat.CodIsin,'') AS COD_ISIN,
	isnull(cat.CodMaf,'') AS COD_MAF,
	isnull(LTRIM(RTRIM(ac.Asset)),'') AS ID_ASSETCLASS,
	isnull(cat.NomeProdotto,'') as CATALOGUENAME,
	isnull(ac.Descrizione,'') as ASSETCLASSNAME,
	isnull(LTRIM(RTRIM(map.Percentuale)),'') AS BDPERCENTAGE
FROM C6StagingPeriodico.RP_Mappatura AS map
	INNER JOIN C6StagingPeriodico.RP_AssetClass AS ac
	ON map.Asset = ac.Asset
		INNER JOIN C6StagingPeriodico.RP_CatalogoProdotti cat
		ON map.ChiaveProdotto = cat.ChiaveProdotto
WHERE Livello = 2
-- ----------modifica del 30/5/2019
               and  cat.CodInterno is not null
-- ----------fire modifica del 30/5/2019
-- ----------modifica del 21/6/2019
			 -- and cat.visibilita = 1
-- ----------fire modifica del 21/6/2019
		 -- Log esecuzione  
		 --UPDATE  
		 -- LOG_ESECUZIONE_PERIODICO  
		 --SET  
		 -- Fine = GETDATE(),  
		 -- Tipo = 'INSERT',  
		 -- Righe = @@ROWCOUNT  
		 --WHERE  
		 -- Nome = 'W6ASSETPERC' AND  
		 -- Inizio = (  
		 --  SELECT  
		 --   MAX(Inizio)  
		 --  FROM  
		 --   LOG_ESECUZIONE_PERIODICO  
		 --  WHERE  
		 --   Nome = 'W6ASSETPERC'  
		 -- )  
END